datablock ItemData(musicBarItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./Resources/musicBar.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "NY - Music Bar";
	iconName = "";
	doColorShift = true;
	colorShiftColor = "1 1 1 1.000";

	 // Dynamic properties defined by the scripts
	image = musicBarImage;
	canDrop = true;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(musicBarImage)
{
   // Basic Item properties
   shapeFile = "./resources/musicBar.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = BowItem;

   melee = false;
   //raise your arm up or not
   armReady = true;

   doColorShift = true;
   colorShiftColor = MusicBarItem.colorShiftColor;//"0.400 0.196 0 1.000";

   //casing = " ";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.15;
	stateTransitionOnTimeout[0]       = "Ready";
	stateSound[0]					= weaponSwitchSound;

	stateName[4]			= "Ready";
	stateSequence[4]                = "Reload";
	stateTransitionOnTriggerUp[4]     = "Ready";
	stateSequence[4]	= "Ready";

};

datablock ItemData(musicBarRedItem : musicBarItem)
{
	uiName = "NY - Music Bar Red";
	colorShiftColor = "1 0.1 0.1 1.000";
};

datablock ItemData(musicBarOrangeItem : musicBarItem)
{
	uiName = "NY - Music Bar Orange";
	colorShiftColor = "1 0.5 0.1 1.000";
};

datablock ItemData(musicBarYellowItem : musicBarItem)
{
	uiName = "NY - Music Bar Yellow";
	colorShiftColor = "1 0.85 0 1.000";
};

datablock ItemData(musicBarGreenItem : musicBarItem)
{
	uiName = "NY - Music Bar Green";
	colorShiftColor = "0 0.76 0.15 1.000";
};

datablock ItemData(musicBarCyanItem : musicBarItem)
{
	uiName = "NY - Music Bar Cyan";
	colorShiftColor = "0 0.75 0.98 1.000";
};

datablock ItemData(musicBarBlueItem : musicBarItem)
{
	uiName = "NY - Music Bar Blue";
	colorShiftColor = "0 0.4 0.95 1.000";
};

datablock ItemData(musicBarPurpleItem : musicBarItem)
{
	uiName = "NY - Music Bar Purple";
	colorShiftColor = "0.5 0.05 0.7 1.000";
};

datablock ItemData(musicBarPinkItem : musicBarItem)
{
	uiName = "NY - Music Bar Pink";
	colorShiftColor = "0.9 0.2 0.6 1.000";
};

registerOutputEvent("FxDTSBrick", "setMusicBar", "list idle 0 evenless 1 less 2 littleless 3 mid 4 littlemore 5 more 6 evenmore 7 top 8" TAB "list idle 0 evenless 1 less 2 littleless 3 mid 4 littlemore 5 more 6 evenmore 7 top 8");
registerOutputEvent("FxDTSBrick", "setMusicBarColor", "list White 0 Red 1 Orange 2 Yellow 3 Green 4 Cyan 5 Blue 6 Purple 7 Pink 8");

function fxDTSBrick::setMusicBar(%this, %speed1, %speed2)
{
	%animtime = getsimtime() | 0;
	%scale = getrandom(90,100)/100;
	%speed = getrandom(%speed1,%speed2);
		if(%speed == 0)
			{
				%this.item.playthread(0, idle);
			}
		if(%speed == 1)
			{
				%animtime = (%animtime + 300) | 0;
				if (%animtime >= %this.timeleft)
				{
				%this.item.playthread(0, evenless);
				%this.item.setscale("1 1" SPC %scale);
				%this.timeleft = (getsimtime() + 300) | 0;
				}
			}
		if(%speed == 2)
			{
				%animtime = (%animtime + 400) | 0;
				if (%animtime >= %this.timeleft)
				{
					%this.item.playthread(0, less);
					%this.item.setscale("1 1" SPC %scale);
					%this.timeleft = (getsimtime() + 400) | 0;
				}
			}
		if(%speed == 3)
			{
				%animtime = (%animtime + 500) | 0;
				if (%animtime >= %this.timeleft)
				{
					%this.item.playthread(0, littleless);
					%this.item.setscale("1 1" SPC %scale);
					%this.timeleft = (getsimtime() + 500) | 0;
				}
			}
		if(%speed == 4)
			{
				%animtime = (%animtime + 600) | 0;
				if (%animtime >= %this.timeleft)
				{
					%this.item.playthread(0, mid);
					%this.item.setscale("1 1" SPC %scale);
					%this.timeleft = (getsimtime() + 600) | 0;
				}
			}
		if(%speed == 5)
			{
				%animtime = (%animtime + 700) | 0;
				if (%animtime >= %this.timeleft)
				{
					%this.item.playthread(0, littlemore);
					%this.item.setscale("1 1" SPC %scale);
					%this.timeleft = (getsimtime() + 700) | 0;
				}
			}
		if(%speed == 6)
			{
				%animtime = (%animtime + 800) | 0;
				if (%animtime >= %this.timeleft)
				{
					%this.item.playthread(0, more);
					%this.item.setscale("1 1" SPC %scale);
					%this.timeleft = (getsimtime() + 800) | 0;
				}
			}
		if(%speed == 7)
			{
				%animtime = (%animtime + 900) | 0;
				if (%animtime >= %this.timeleft)
				{
					%this.item.playthread(0, evenmore);
					%this.item.setscale("1 1" SPC %scale);
					%this.timeleft = (getsimtime() + 900) | 0;
				}
			}
		if(%speed == 8)
			{
				%animtime = (%animtime + 1000) | 0;
				if (%animtime >= %this.timeleft)
				{
					%this.item.playthread(0, top);
					%this.item.setscale("1 1" SPC %scale);
					%this.timeleft = (getsimtime() + 1000) | 0;
				}
			}
}

function fxDTSBrick::setMusicBarColor(%this, %color)
{
	%itemname = %this.Item.getDatablock().getName();
	
		if(%color == 0)
		{
			if (%itemname !$= "musicBarItem")
			{
			%this.setitem(musicBarItem);
			}
		}
		if(%color == 1)
		{
			if (%itemname !$= "musicBarRedItem")
			{
			%this.setitem(musicBarRedItem);
			}
		}
		if(%color == 2)
		{
			if (%itemname !$= "musicBarOrangeItem")
			{
			%this.setitem(musicBarOrangeItem);
			}
		}
		if(%color == 3)
		{
			if (%itemname !$= "musicBarYellowItem")
			{
			%this.setitem(musicBarYellowItem);
			}
		}
		if(%color == 4)
		{
			if (%itemname !$= "musicBarGreenItem")
			{
			%this.setitem(musicBarGreenItem);
			}
		}
		if(%color == 5)
		{
			if (%itemname !$= "musicBarCyanItem")
			{
			%this.setitem(musicBarCyanItem);
			}
		}
		if(%color == 6)
		{
			if (%itemname !$= "musicBarBlueItem")
			{
			%this.setitem(musicBarBlueItem);
			}
		}
		if(%color == 7)
		{
			if (%itemname !$= "musicBarPurpleItem")
			{
			%this.setitem(musicBarPurpleItem);
			}
		}
		if(%color == 8)
		{
			if (%itemname !$= "musicBarPinkItem")
			{
			%this.setitem(musicBarPinkItem);
			}
		}
}